Hooks:PostHook(BlackMarketTweakData, "_init_melee_weapons","melee_melee_rebalance_init", function(self, tweak_data)
	
	--knife only
	self.melee_weapons.m3_knife.stats.min_damage = 150
	self.melee_weapons.m3_knife.stats.max_damage = 200
	self.melee_weapons.m3_knife.stats.min_damage_effect = 2
	self.melee_weapons.m3_knife.stats.max_damage_effect = 2
	self.melee_weapons.m3_knife.stats.charge_time = 2
	self.melee_weapons.m3_knife.stats.range = 225
	
	self.melee_weapons.m3_knife.timers = {
		reload_not_empty = 1.25,
		reload_empty = 1.65,
		unequip = 0.5,
		equip = 0.25
	}
	--fist knife
	self.melee_weapons.robbins_dudley_trench_push_dagger.stats.min_damage = 200
	self.melee_weapons.robbins_dudley_trench_push_dagger.stats.max_damage = 300
	self.melee_weapons.robbins_dudley_trench_push_dagger.stats.min_damage_effect = 1
	self.melee_weapons.robbins_dudley_trench_push_dagger.stats.max_damage_effect = 1
	self.melee_weapons.robbins_dudley_trench_push_dagger.stats.charge_time = 2
	self.melee_weapons.robbins_dudley_trench_push_dagger.stats.range = 185

	self.melee_weapons.robbins_dudley_trench_push_dagger.timers = {
		reload_not_empty = 1.25,
		reload_empty = 1.65,
		unequip = 0.5,
		equip = 0.25
	}
	
	--fist boom
	self.melee_weapons.german_brass_knuckles.stats.min_damage = 100
	self.melee_weapons.german_brass_knuckles.stats.max_damage = 150
	self.melee_weapons.german_brass_knuckles.stats.min_damage_effect = 50
	self.melee_weapons.german_brass_knuckles.stats.max_damage_effect = 50
	self.melee_weapons.german_brass_knuckles.stats.charge_time = 1
	self.melee_weapons.german_brass_knuckles.stats.range = 150

	self.melee_weapons.german_brass_knuckles.timers = {
		reload_not_empty = 0.25,
		reload_empty = 0.45,
		unequip = 0.25,
		equip = 0.125
	}
	

	--fist knife
	self.melee_weapons.lockwood_brothers_push_dagger.stats.min_damage = 200
	self.melee_weapons.lockwood_brothers_push_dagger.stats.max_damage = 300
	self.melee_weapons.lockwood_brothers_push_dagger.stats.min_damage_effect = 1
	self.melee_weapons.lockwood_brothers_push_dagger.stats.max_damage_effect = 1
	self.melee_weapons.lockwood_brothers_push_dagger.stats.charge_time = 2
	self.melee_weapons.lockwood_brothers_push_dagger.stats.range = 185
	
	self.melee_weapons.lockwood_brothers_push_dagger.timers = {
		reload_not_empty = 1.25,
		reload_empty = 1.65,
		unequip = 0.5,
		equip = 0.25
	}

	--fist knife
	self.melee_weapons.bc41_knuckle_knife.stats.min_damage = 200
	self.melee_weapons.bc41_knuckle_knife.stats.max_damage = 300
	self.melee_weapons.bc41_knuckle_knife.stats.min_damage_effect = 1
	self.melee_weapons.bc41_knuckle_knife.stats.max_damage_effect = 1
	self.melee_weapons.bc41_knuckle_knife.stats.charge_time = 2
	self.melee_weapons.bc41_knuckle_knife.stats.range = 185
	
	self.melee_weapons.bc41_knuckle_knife.timers = {
		reload_not_empty = 1.25,
		reload_empty = 1.65,
		unequip = 0.5,
		equip = 0.25
	}

	--knife
	self.melee_weapons.km_dagger.stats.min_damage = 150
	self.melee_weapons.km_dagger.stats.max_damage = 200
	self.melee_weapons.km_dagger.stats.min_damage_effect = 2
	self.melee_weapons.km_dagger.stats.max_damage_effect = 2
	self.melee_weapons.km_dagger.stats.charge_time = 2
	self.melee_weapons.km_dagger.stats.range = 225
	
	self.melee_weapons.km_dagger.timers = {
		reload_not_empty = 1.25,
		reload_empty = 1.65,
		unequip = 0.5,
		equip = 0.25
	}






	--high damageing melees
	self.melee_weapons.marching_mace.stats.min_damage = 300
	self.melee_weapons.marching_mace.stats.max_damage = 900
	self.melee_weapons.marching_mace.stats.min_damage_effect = 0
	self.melee_weapons.marching_mace.stats.max_damage_effect = 0
	self.melee_weapons.marching_mace.stats.charge_time = 6
	self.melee_weapons.marching_mace.stats.range = 275
	
	self.melee_weapons.marching_mace.timers = {
		reload_not_empty = 1.75,
		reload_empty = 2.35,
		unequip = 1,
		equip = 0.5
	}

	self.melee_weapons.lc14b.stats.min_damage = 300
	self.melee_weapons.lc14b.stats.max_damage = 900
	self.melee_weapons.lc14b.stats.min_damage_effect = 0
	self.melee_weapons.lc14b.stats.max_damage_effect = 0
	self.melee_weapons.lc14b.stats.charge_time = 6
	self.melee_weapons.lc14b.stats.range = 275

	self.melee_weapons.lc14b.timers = {
		reload_not_empty = 1.75,
		reload_empty = 2.35,
		unequip = 1,
		equip = 0.5
	}
end)